Win a copy of The Little Book of Impediments (e-book only) this week in the Agile and Other Processes forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Which version?

 
Faisal Ahmad
Ranch Hand
Posts: 355
Chrome Java Redhat
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hello all!

I think the SCJD exam is based on Java 5. Am I correct?
I also heard few saying it is based on Java 1.4, Java 6.
Please clarify.

Thanks.
 
Kris Krason
Greenhorn
Posts: 25
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
According to http://faq.javaranch.com/java/ScjdFaq

* Which version of SDK should I use?

Your submission should have something like this:

(...) the submission that you return must have been tested and
shown to work under a production (not development) version of
the Sun Microsystems' Java 2 plataform and that plataform must
not have been superseded by a new production version for more
than 18 months by the time you make your submission.

You may use the link in the next question and do the math. When in doubt, just use the latest version.

Example calc: 1.5.0 was released on Sept 29, 2004, superseding 1.4.2. However you can still use 1.4.2 until it has been superseded by 18 months, so adding the 18 months to Sept 29, 2004 means that you can still use 1.4.2 until March 29, 2006.

From April 2006 you must use at least JDK 1.5. You can no longer use 1.4.2 or prior versions.
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic